org.apache.sling.installer.factories.subsystems.impl

## Class UpdateSubsystemTask

- java.lang.Object
- - org.apache.sling.installer.api.tasks.InstallTask
  - - org.apache.sling.installer.factories.subsystems.impl.UpdateSubsystemTask

All Implemented Interfaces:
  Comparable<org.apache.sling.installer.api.tasks.InstallTask>

    public class UpdateSubsystemTask
    extends org.apache.sling.installer.api.tasks.InstallTask

Update subsystem by uninstalling and installing it.

### Field Summary

### Fields inherited from class org.apache.sling.installer.api.tasks.InstallTask

`ASYNC_ATTR_NAME`

### Constructor Summary

Constructors
Constructor and Description
`UpdateSubsystemTask(org.apache.sling.installer.api.tasks.TaskResourceGroup grp, org.osgi.framework.BundleContext bundleContext, org.osgi.framework.ServiceReference<org.osgi.service.subsystem.Subsystem> ref, org.osgi.service.subsystem.Subsystem rootSubsystem)`

### Method Summary

Methods
`void` `execute(org.apache.sling.installer.api.tasks.InstallationContext ctx)`
`String` `getSortKey()`

### Methods inherited from class org.apache.sling.installer.api.tasks.InstallTask

`compareTo, equals, getResource, getResourceGroup, hashCode, isAsynchronousTask, setFinishedState, setFinishedState, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UpdateSubsystemTask

    public UpdateSubsystemTask(org.apache.sling.installer.api.tasks.TaskResourceGroup grp,
                       org.osgi.framework.BundleContext bundleContext,
                       org.osgi.framework.ServiceReference<org.osgi.service.subsystem.Subsystem> ref,
                       org.osgi.service.subsystem.Subsystem rootSubsystem)

### Method Detail

#### execute

    public void execute(org.apache.sling.installer.api.tasks.InstallationContext ctx)

Specified by:
  `execute` in class `org.apache.sling.installer.api.tasks.InstallTask`

#### getSortKey

    public String getSortKey()

Specified by:
  `getSortKey` in class `org.apache.sling.installer.api.tasks.InstallTask`